
Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("BusinessStocks")> _
Public Class OfferOutParameters
    Inherits BaseObject
    Private _CustomersFrom As CustomersFrom
    Private _OfferOutMainType As eOfferOutMainType 'Fő tipus 1
    Private _OfferOutMainType2 As eOfferOutMainType2 'Fő tipus 2
    Private _ShortName As String 'Rövid megnevezés
    Private _Description As String 'Leírás
    Private _NumberGenerator As NumberGenerator 'Sorszám generátor
    Private _IsGenerateNumber_First As Boolean = False 'Generáljon e azonnal sorszámot a kimenő árajánlatnak 
    Private _ReportData As ReportData ' Kimenő árajánlat 0. nyomtatvány 
    Private _ReportData1 As ReportData 'Kimenő árajánlat 1. nyomtatvány
    Private _ReportData2 As ReportData 'Kimenő árajánlat 2. nyomtatvány
    Private _ReportData3 As ReportData 'Kimenő árajánlat 3. nyomtatvány
    Private _AlertPeriod As AlertPeriod 'Figyelmeztetési paraméter
    Private _DocumentBody As String 'RTF template
    Private _WorkflowSystem As WorkflowSystem
    Private _MasterBusinessDirectory As BusinessDirectory 'Mi alatt hozza létre a dokumentumtárat.

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub

    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property OfferOutMainType As eOfferOutMainType
        Get
            Return _OfferOutMainType
        End Get
        Set(ByVal value As eOfferOutMainType)
            SetPropertyValue("OfferOutMainType", _OfferOutMainType, value)
        End Set
    End Property
    Property OfferOutMainType2 As eOfferOutMainType2
        Get
            Return _OfferOutMainType2
        End Get
        Set(ByVal value As eOfferOutMainType2)
            SetPropertyValue("OfferOutMainType2", _OfferOutMainType2, value)
        End Set
    End Property
    <RuleRequiredField("", DefaultContexts.Save)> _
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(-1)>
    Property Description As String
        Get
            Return _Description
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    <RuleRequiredField("", DefaultContexts.Save)> _
    <NonCloneable()> _
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(ByVal value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    Property IsGenerateNumber_First As Boolean
        Get
            Return _IsGenerateNumber_First
        End Get
        Set(value As Boolean)
            SetPropertyValue("IsGenerateNumber_First", _IsGenerateNumber_First, value)
        End Set
    End Property
    Property ReportData As ReportData
        Get
            Return _ReportData
        End Get
        Set(ByVal value As ReportData)
            SetPropertyValue("ReportData", _ReportData, value)
        End Set
    End Property
    Property ReportData1 As ReportData
        Get
            Return _ReportData1
        End Get
        Set(ByVal value As ReportData)
            SetPropertyValue("ReportData1", _ReportData1, value)
        End Set
    End Property
    Property ReportData2 As ReportData
        Get
            Return _ReportData2
        End Get
        Set(ByVal value As ReportData)
            SetPropertyValue("ReportData2", _ReportData2, value)
        End Set
    End Property
    Property ReportData3 As ReportData
        Get
            Return _ReportData3
        End Get
        Set(ByVal value As ReportData)
            SetPropertyValue("ReportData3", _ReportData3, value)
        End Set
    End Property
    Property AlertPeriod As AlertPeriod
        Get
            Return _AlertPeriod
        End Get
        Set(value As AlertPeriod)
            SetPropertyValue("AlertPeriod", _AlertPeriod, value)
        End Set
    End Property
    <Size(-1)> _
    Property DocumentBody As String
        Get
            Return _DocumentBody
        End Get
        Set(value As String)
            SetPropertyValue("DocumentBody", _DocumentBody, value)
        End Set
    End Property
    Property WorkflowSystem As WorkflowSystem
        Get
            Return _WorkflowSystem
        End Get
        Set(value As WorkflowSystem)
            SetPropertyValue("WorkflowSystem", _WorkflowSystem, value)
        End Set
    End Property
    Property MasterBusinessDirectory As BusinessDirectory
        Get
            Return _MasterBusinessDirectory
        End Get
        Set(value As BusinessDirectory)
            SetPropertyValue("MasterBusinessDirectory", _MasterBusinessDirectory, value)
        End Set
    End Property

End Class

